function print (k)

% PRINT (KOBJ)
% displays the content of a @key object
% Last modified: 12 Apr 02

disp ('Content of the @key object:');
disp ('    =======================================');
disp ('    sta fin cue con blo res tri typ exp rep');

ind=0;
for kid = 1:length(k.size)
   disp (['Key #' num2str(kid) ': ' k.label{kid}]);
   for tt = 1:k.size(kid)
      ind = ind+1;
      cue = sprintf (' %d', k.st(ind).cues);
      con = sprintf (' %d', k.st(ind).conds);
      blo = sprintf (' %d', k.st(ind).blocks);
      res = sprintf (' %d', k.st(ind).resps);
      tri = sprintf (' %d', k.st(ind).trials);
      typ = sprintf (' %d', k.st(ind).type);
      exp = sprintf (' %d', k.st(ind).expect);
      rep = sprintf (' %d', k.st(ind).rept);
      ss = sprintf ('    %d %d [%s] [%s] [%s] [%s] [%s] [%s] [%s] [%s] ', k.st(ind).start, k.st(ind).finish, cue, con, blo, res, tri, typ, exp, rep);
      disp (ss);
   end
end
