function sp = deleteunit (sp, u)

%SPIX/DELETEUNIT  permanently deletes a unit from a @spix
%
%   SP = DELETEUNIT(SP,U)
%
%Last modified: 21 Aug 03

if nargin ~= 2, error ('two arguments required'); end

uni = parsegrouping (sp.info, u);
if length(uni)>1, error ('you can only delete one unit at a time'); end
uname = sp.info(uni).label;
disp (['WARNING! This will erase unit #' num2str(uni) ' (' uname ') from the spix']);
sure = input ('Type ''yes'' if you want to proceed','s');
if ~strcmp(sure, 'yes'), return; end

deltrials = sp.unit==uni;


error ('function not working yet')