function [tc, uuni] = trialcount (sp, varargin)

%@SPIX/TRIALCOUNT   counts the number of trials in @spix object
%
%
%Modified: 8 Aug 03

%  8 Aug 03, by Giuseppe Bertini

[yest, uni, grp] = trialset (sp, varargin{:});

uuni = unique(uni); nuni = length(uuni);
ugrp = unique(grp); ngrp = length(ugrp);

for cc = 1:nuni
   for gr = 1:ngrp
      yt = yest ((uni==uuni(cc)) & (grp==ugrp(gr)));
      tc(cc,gr) = length(yt);
   end
end