function l = firelatency (cobj, spike, rule)



start_epoch=[];
frates=[];
lat=[]; 
sel=[];
for ce=1:46;
   
   %for all conditions, get prestimulus firing rate
   clear pk_resp time_to_pk prestimrate avg_bin temp temp2 spm threshold onset;
   [l, r, f] = listfromfile ('rsgaconds.txt');
   rec=0;
   for cnd=1:20;
      rec=rec+1;
      spm = SGAMast (rsga, ce, l{rec,1}, l{rec,2}, l{rec,3}, 1, 800);
      temp = reshape (spm, size(spm,1),5, 160);
      temp = squeeze(sum(temp,2));
      temp2= mean(temp(:,:))*200;
      avg_bin(:,:,cnd) = density(temp2,4,'gauss');
      prestimrate(cnd) = mean(avg_bin(:,1:30,cnd));
      pk_resp(cnd)=max(avg_bin(:,:,cnd));
   end
   nwobl = mean(prestimrate(1:5));
   nwbl  = mean(prestimrate(5:10));
   lwobl = mean(prestimrate(11:15));
   lwbl  = mean(prestimrate(16:20));

   
   %calculate avg spont rate and threshold for latency calculation based on poisson distribution
   spont_rate=mean(prestimrate);
   
   [lambdahat, lambdaci] = poissfit(spont_rate, 0.01);
   threshold = max(lambdaci);
   for cnd=1:20;
      for twindow=40:80
         if avg_bin(:,twindow,cnd)>=threshold&...
               avg_bin(:,twindow+1,cnd)>=threshold&...
               avg_bin(:,twindow+2,cnd)>=threshold;
            onset(cnd)=twindow*5;
            onset_bin(cnd)=twindow;
            break   
         else onset(cnd)=NaN;
            onset_bin(cnd)=NaN;
         end
      end
      
      
      %calculate average response rates for period of 200ms after onset 
      start_epoch=onset_bin(cnd);
      if isnan(start_epoch)==1;
         epochrate(cnd)=NaN;
      else end_epoch=start_epoch+40;
         start_epocha=start_epoch+10;
         end_epocha=start_epocha+40;
         epochrate(cnd)= mean(avg_bin(:,50:55,cnd));
      end
      
          
      
   end
   
   count=find(isnan(epochrate(11:15)));
   if size(count,2)<=3;
      include=1;
   else include=0;
      
   end
   
   frates=[frates;epochrate];
   lat=[lat;onset];
   sel=[sel;include];
   nwobaseline=[nwobaseline;nwobl];
   nwbaseline =[nwbaseline;nwbl];
   lwobaseline=[lwobaseline;lwobl];
   lwbaseline =[lwbaseline;lwbl];
    
   
end



   %trial by trial analyses
   clear pk_resp time_to_pk prestimrate avg_bin temp temp2 spm threshold onset l r f rec;
   [l, r, f] = listfromfile ('rsgaconds.txt');  
   rec=0;
   for i=1:size(sel);
      if sel==1;
         nwoa = SGAMast (rsga, ce, l{rec,1}, l{rec,2}, l{rec,3}, start_epocha*5, end_epocha*5);
         

            
         
   
end

