function field = minifield (bigfield)

% this tiny function returns the first 3 lowercase letters
% from the string passed as argument.
% used in various giucode contexts
%
% Last modified: 6 Aug 02

if ~isstr (bigfield)
   error ('expected string as field or parameter');
end
if length (bigfield) < 3
   error ('field or parameter must be at least 3 characters long');
end
field = lower (bigfield(1:3));
