function c = AddEvent (c, tset, mode, new, existing)

% AddEvent.m
%
% to add event codes to a @cortex object
%
% Last modified: 3 Jun 00

if isa (tset, 'rules')
   tset = trialset (c, tset);
end

if nargin==5
   [y x] = find (c.codes==existing);
end

switch lower (mode)
case 'addafter'
   for i=1:length(y)
       
       lv = max (find (c.codes (y(i),:)));
       c.codes (y(i), x(i)+1:lv+1) = c.codes (y(i), x(i):lv);
       c.codes (y(i), x(i)) = new;
   end
case 'addbefore'
case 'remove'
case 'addattime'
otherwise
end
