function c = emptycobject
%emptyobject
%    private @cortex function
%Last modified: 8 July 01

%   plexon fields added
%   version update to 3

c.version =         3;
c.name    =  'noname';
c.trials         =  0;
c.cond_no        = [];
c.repeat_no      = [];
c.block_no       = [];
c.eog_rate       = [];
c.KHz_resolution = [];
c.trial_type     = [];
c.exp_response   = [];
c.response       = [];
c.times          = [];
c.codes          = [];
c.cluster_bank   = [];
c.spike_start    = [];
c.spike_end      = [];
c.spikes  = uint32([]);

% version 2 and up
c.changemode     =  0;
c.rel_trial      = [];
c.eog2dva        =  0;
c.eog_start      = [];
c.eog_ptr_start  = [];
c.eog_ptr_end    = [];
c.eog_X    = int16([]);
c.eog_Y    = int16([]);

% version 3 and up
c.spike_channel     = [];
c.vretrace          = [];
c.lfp_start         = [];
c.lfp_ptr_start     = [];
c.lfp_ptr_end       = [];
c.lfp_channel       = [];
c.lfps        = int16([]);

disp ('Empty @cortex object created');
