function id = findex (k, argo)

%findex
%  index handling for subsref & subsasgn
%  if char then match labels
%Last modified: 12 Jan 03

if isnumeric (argo)
   if length (argo) > 1
      error ('indices into a @key object must be scalar');
   end
   if argo < 1 | argo > length (k.size)
      error ('the requested key does not exist')
   end
   id = argo;
elseif ischar (argo)
   for klab = 1:length(k.size)
      if strcmp (argo, k.label{klab})
         id = klab;
         return;
      end
   end
   error ('the requested key does not exist');
else
   error ('invalid parameter');
end


