function sp = addfactor (sp, label, levels, keys)

%@SPIX/ADDFACTOR   Add a factor to an existing @spix
%
% SP = ADDFACTOR (SP, LABEL, LEVELS, KEYS)

error (nargchk (4, 4, nargin));

fi = sp.nfactors + 1;
sp.factors(fi).label = label;
sp.factable (fi,sp.k.len)=0;

for le = 1:length(levels)
   sp.factors(fi).levels(le).label = levels{le};
   sp.factors(fi).levels(le).keys = keys{le};
   sp.factable (fi,keys{le}) = le;
end
sp.nfactors = fi;

