function [yest, uuni, ugrp] = celltrialset (sp, varargin)

%CELLTRIALSET   like @spix/trialset, but returns a cell array
%
%Modified: 27 Apr 03

% 27 Apr 03, by Giuseppe Bertini

[yestrials, uni, grp] = trialset (sp, varargin{:});

uuni = unique(uni);
ugrp = unique(grp);

for ce = 1:length(uuni)
   for gr = 1:length(ugrp)
      yest {ce, gr} = yestrials ((uni==uuni(ce)) & (grp==ugrp(gr)));
   end
end