   switch tipo
   case 'uni'
      vn = 'units';
      sn = 'sp.info';
   case 'key'
      vn = 'keys'
      sn = 'sp.k';
   case 'fac'
      vn = 'factor';
      sn = 'sp.factors';
   case 'lev'
      vn = 'levels';
      sn = 'sp.factors(factor).levels';
   otherwise
      error ('bad parameter')
   end
      
   switch class(value)
   case 'char'
      eval (['tt=findlabel(' sn ', value);']);
      if ~tt, error ('label not found'), end;
      eval ([vn '=tt;']);
   case 'double'
      eval ([vn '=value']);
   otherwise
      error (['bad value to request ' vn]);
   end
   
   
%%%%%%%%%%%%%%

   switch tipo
   case 'uni'
      switch class(value)
      case 'char'
         units = findlabel(sp.info);
         if ~units
            error ('unit label not found');
         end
      case 'double'
         units = value;
      otherwise
         error ('bad value to request units');
      end
   case 'key'
      switch class(value)
      case 'char'
         keys = findlabel (sp.k);
         if ~keys
            error ('key not found');
         end
      case 'double'
         keys = value;
      otherwise
         error ('bad value to request keys');
      end
   case 'fac'
      switch class (value)
      case 'char'
         factor = findlabel(sp.factors);
         if ~factor
            error ('factor label not found');
         end
      case 'double'
         factor = value;
      otherwise
         error ('bad value to request factors');
      end
   case 'lev'
      switch class (value)
      case 'char'
         level = findlabel(sp.factors(factor).levels);
      

   
   
