function p = set (p, nth, onoff)

%BITVECT/SET
%
%Last modified: 4 Jun 03

if any (nth > p.length) | any (nth < 1), error ('out of range values'); end
bitsindouble = 52;
if nargin<3 | onoff, onoff = 1; end;
bytes = floor ((nth - 1) / bitsindouble) + 1;
bits  = rem ((nth - 1), bitsindouble) + 1;
p.vect (bytes) = bitset (p.vect (bytes), bits, onoff);