function s1 = trimwhite(s)
%TRIMWHITE(S) Remove leading and trailing blanks and tabs.
%             from string S.
%
%Last modified 24 Feb 99

if ~isempty(s) & ~isstr(s)
    warning('Input must be a string.')
end

if isempty(s)
    s1 = s;
else
  % remove trailing blanks
  [r,c] = find(s ~= ' ' & s ~= 0 & s ~= 9);
  if isempty(c) 
    s1 = [];
  else
    s1 = s(:,min(c):max(c));
  end
end
